## vanguards 0.2.1

=== requirements.txt ===
stem==1.5.4 \
    --hash=sha256:3649133037ee186e80115650094a2fb2f60a23f006ebddab34d9039be9b2f7c8
ipaddress==1.0.22 ; python_version<'3' \
    --hash=sha256:64b28eec5e78e7510698f6d4da08800a5c575caa4a286c93d651c5d3ff7b6794 \
    --hash=sha256:b146c751ea45cad6188dd6cf2d9b757f6f4f8d6ffb96a023e6f2e26eea02a72c

=== debian/changelog ===
vanguards (0.2.1-1) unstable; urgency=medium

  * New upstream version 0.2.1.
  * Now uses manpage included upstream instead of a Debian specific one.
  * Installs new technical and security READMEs
  * Adds pypy-ipaddress as a new build dependency

 -- Iain R. Learmonth <irl@debian.org>  Thu, 16 Aug 2018 13:44:29 +0100

vanguards (0.1.1+git20180727.67539be-3) unstable; urgency=medium

  * Change Python runtime to PyPy from CPython (Closes: #905087)

 -- Iain R. Learmonth <irl@debian.org>  Tue, 31 Jul 2018 23:07:15 +0100

vanguards (0.1.1+git20180727.67539be-2) unstable; urgency=medium

  * Do not automatically enable or start vanguards:
   - tor can be unhappy when there is more than one controller. The script
     should be explicitly enabled and started by the user once installed.

 -- Iain R. Learmonth <irl@debian.org>  Tue, 31 Jul 2018 08:06:36 +0100

vanguards (0.1.1+git20180727.67539be-1) unstable; urgency=low

  * Initial release (Closes: #904575)

 -- Iain R. Learmonth <irl@debian.org>  Mon, 30 Jul 2018 16:23:00 +0100

=== debian/control ===
Source: vanguards
Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-exec,
               dh-python,
               pypy,
               pypy-setuptools,
               pypy-stem (>= 1.6.0-3.1),
               pypy-pytest,
               pypy-ipaddress
Standards-Version: 4.1.5
Vcs-Browser: https://github.com/mikeperry-tor/vanguards
Vcs-Git: https://github.com/mikeperry-tor/vanguards
Homepage: https://github.com/mikeperry-tor/vanguards

Package: vanguards
Architecture: all
Depends: ${misc:Depends},
         ${pypy:Depends},
         tor
Description: Additional protections for Tor Onion Services
 vanguards uses the Stem Tor control port library to connect to a Tor control
 port. It has three defense subsystems: Vanguards, Rendguard, and Bandguards.
 All three subsystems apply to both service-side and client-side onion service
 activity, but NOT to any client traffic that exits the Tor network to the
 normal Internet.

## vanguards 0.3.0

=== debian/changelog ===
vanguards (0.3.0-1) unstable; urgency=medium

  [ Ana Custura ]
  * New upstream version 0.3.0
  * Add myself to uploaders

 -- Ana Custura <ana@netstat.org.uk>  Wed, 06 Feb 2019 18:51:31 +0000

vanguards (0.2.2-1) unstable; urgency=medium

  * New upstream version 0.2.2
  * debian/control:
   - Explicitly depend on pypy-ipaddress (for some reason this is not picked
     up in the pypy:Depends)
  * debian/vanguards.service:
   - Restart vanguards if process exits to provide some resilience in the
     face of unforeseen fatal bugs

 -- Iain R. Learmonth <irl@debian.org>  Wed, 12 Sep 2018 13:18:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: vanguards
 Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
-Uploaders: Iain R. Learmonth <irl@debian.org>
+Uploaders: Iain R. Learmonth <irl@debian.org>, Ana Custura <ana@netstat.org.uk>
 Section: net
 Priority: optional
 Build-Depends: debhelper (>= 11),
@@ -20,6 +20,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${pypy:Depends},
+         pypy-ipaddress,
          tor
 Description: Additional protections for Tor Onion Services
  vanguards uses the Stem Tor control port library to connect to a Tor control

## vanguards 0.3.1

=== requirements.txt ===
stem==1.7.1 \
    --hash=sha256:c9eaf3116cb60c15995cbd3dec3a5cbc50e9bb6e062c4d6d42201e566f498ca2
ipaddress==1.0.22 ; python_version<'3' \
    --hash=sha256:64b28eec5e78e7510698f6d4da08800a5c575caa4a286c93d651c5d3ff7b6794 \
    --hash=sha256:b146c751ea45cad6188dd6cf2d9b757f6f4f8d6ffb96a023e6f2e26eea02a72c

=== debian/changelog ===
vanguards (0.3.1-2) unstable; urgency=medium

  [ Nicolas Braud-Santoni ]
  * debian/control: Fix Vcs-* metadata

 -- Iain R. Learmonth <irl@debian.org>  Fri, 26 Jul 2019 17:30:09 +0100

vanguards (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1

 -- Iain R. Learmonth <irl@debian.org>  Tue, 28 May 2019 10:15:00 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                pypy-pytest,
                pypy-ipaddress
 Standards-Version: 4.1.5
-Vcs-Browser: https://github.com/mikeperry-tor/vanguards
-Vcs-Git: https://github.com/mikeperry-tor/vanguards
+Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/vanguards
+Vcs-Git: https://salsa.debian.org/pkg-privacy-team/vanguards.git
 Homepage: https://github.com/mikeperry-tor/vanguards
 
 Package: vanguards

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pypy --buildsystem=pybuild

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start
